#!/bin/sh

#################################
## IMPLEMENTATION INSTRUCTIONS ##
#################################

## 1: Edit the parameters in the "PARAMETERS" section
## 2: Choose "Reveal CCC Scripts folder" from CCC's Utilities menu (if you see "Secure CCC's Scripts folder" instead, choose that first)
## 3. Copy this script into the revealed Scripts folder
## 4: Choose "Secure CCC's Scripts folder" from CCC's Utilities menu
## 5: Select the applicable backup task in cCC's sidebar
## 6: Click "Advanced Settings" at the bottom of the window and select the "Postflight" tab
## 7: Click the button to choose a Postflight script. Select this script when prompted.

#################################
########## PARAMETERS ###########
#################################

# Add a delay if the destination appears to have outstanding activity at the end of a backup task
delay=60


#### No edits required below this line ####

devID=`diskutil info "$2" | awk '/Device Identifier/ {print $NF}'`
if [ "$devID" != "" ]; then
	(sleep $delay; diskutil unmountDisk "$devID"; diskutil eject "$devID") &
else
	(sleep $delay; diskutil eject "$2"; if [ $? -ne 0 ]; then diskutil unmountDisk "$2"; fi) &
fi
